> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-bradley-turek-pfilter-operators-reference.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Data Version List from Magic

> Retrieves a list of data versions for datasets processed with the MAGIC engine



## OpenAPI

````yaml /openapi/product/data-sets.yaml post /api/dataprocessing/v2/dataflows/data-version-hydrate
openapi: 3.0.0
info:
  title: Datasets API
  version: v1
  description: >
    The Domo Datasets API provides a set of endpoints for managing, creating,
    and updating datasets within Domo. The API allows developers to execute SQL
    queries on datasets,

    manage access permissions, retrieve metadata, append rows, share datasets,
    and perform various dataset operations.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security:
  - developerToken: []
paths:
  /api/dataprocessing/v2/dataflows/data-version-hydrate:
    post:
      tags:
        - Datasets API
      summary: Data Version List from Magic
      description: >-
        Retrieves a list of data versions for datasets processed with the MAGIC
        engine
      parameters:
        - name: engine
          in: query
          schema:
            type: string
            default: MAGIC
        - name: limit
          in: query
          schema:
            type: integer
            default: 500
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DataVersionHydrateRequest'
            example:
              id: ''
              type: LoadFromVault
              dataSourceId: '{dataset_id}'
              versionWindow:
                type: EXPRESSION
                expression: 1=1
      responses:
        '200':
          description: Data version list
      x-codeSamples:
        - lang: HTTP
          source: >
            POST
            /api/dataprocessing/v2/dataflows/data-version-hydrate?engine=MAGIC&limit=500&offset=0
            HTTP/1.1

            Host: {instance}.domo.com

            X-DOMO-Developer-Token: {token}

            Content-Type: application/json


            {
              "id": "",
              "type": "LoadFromVault",
              "dataSourceId": "{dataset_id}",
              "versionWindow": {
                "type": "EXPRESSION",
                "expression": "1=1"
              }
            }
components:
  schemas:
    DataVersionHydrateRequest:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        dataSourceId:
          type: string
        versionWindow:
          type: object
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Developer token obtained from Domo

````